Skip to main content

Update a specific alert configuration

PATCH 

/v1/configurations/:id

This API request can be used to update a specific alert configuration.

Handling of enums when generating a client

Be aware when integrating with this API that the enums specified in the OpenAPI Spec should be expected to expand without it being treated as a breaking change. This will for example occur when new alert types are added in the future.

This means that when generating a client for this API you should ensure that the client can handle unknown enum values by e.g. defaulting to an unknown enum value.

An example of how to handle this is how the OpenApi java client generator with the configuration parameter enumUnknownDefaultCase does it. See further documentation.

Request

Responses

Update a specific alert configuration